How to build fprintd in Ubuntu 10.10?

0 like 0 dislike
76 views
I can not collect fprintd (it is needed for my fingerprint scanner). Took from git (the repository is not), but when configuring the outputs:

checking for DAEMON... no configure: error: Package requirements (glib-2.0 dbus-glib-1 gmodule-2.0 polkit >= 0.8 polkit-dbus) were not met: No package 'polkit' found No package 'polkit-dbus' found Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix. Alternatively, you may set the environment variables DAEMON_CFLAGS and DAEMON_LIBS to avoid the need to call pkg-config. See the pkg-config man page for more details.



Scoured the Internet but found nothing intelligible. Can anyone help?
by | 76 views

4 Answers

0 like 0 dislike
I put all of it.
\r
robotex@robotex-laptop:~/sources/fprintd$ apt-cache search polkit
libpolkit-agent-1-0 — PolicyKit Authentication Agent API
libpolkit-agent-1-dev — PolicyKit Authentication Agent API — development files
libpolkit-backend-1-0 — PolicyKit backend API
libpolkit-backend-1-dev — PolicyKit backend API — development files
libpolkit-gobject-1-0 — PolicyKit Authorization API
libpolkit-gobject-1-dev — PolicyKit Authorization API — development files
libpolkit-gtk-1-0 — PolicyKit GTK+ API
libpolkit-gtk-1-dev — PolicyKit GTK+ API — development files
polkit-kde-1 — KDE dialogs for PolicyKit
gksu-polkit — command line utility to run programs as root
libgksu-polkit-dev — simple gobject-based API to run programs as root (development files)
libgksu-polkit0 — simple gobject-based API to run programs as root
muon — package manager for KDE
libpolkit-qt-1-0 — PolicyKit-qt-1 library
libpolkit-qt-1-dev — PolicyKit-qt-1 development files
\r
Should we consider turning on some repositories, but what? Google says nothing about it.
by
0 like 0 dislike
Say the repository is not, and I'm the first query in Google and found: launchpad.net/~kachristmas/+archive/ppa/
by
0 like 0 dislike
OK, I gathered fprintd, but I still do not see your device AES1610:
\r
robotex@robotex-laptop:~/sources/fprintd/src$ sudo ./fprintd
Could not open fprintd.conf: No such file or directory
fp:debug [fp_init]
fp:debug [register_driver] registered driver upekts
fp:debug [register_driver] registered driver aes4000
fp:debug [register_driver] registered driver aes2501
fp:debug [register_driver] registered driver uru4000
fp:debug [register_driver] registered driver vcom5s
fp:debug [register_driver] registered driver upeksonly
Launching FprintObject
\r
** (fprintd:18951): WARNING **: Failed to get name: Connection ":1.60" is not allowed to own the service "net.reactivated.Fprint" due to security policies in the configuration file
by
0 like 0 dislike
The problem is solved. What you need to do:
\r
download and collect fprintd from the repository git://anongit.freedesktop.org/libfprint/fprintd
download and collect libfprint from the repository git://anongit.freedesktop.org/libfprint/libfprint
\r
The fact that repo Ubuntu or on the official website is hopelessly out of date.
by

Related questions

0 like 0 dislike
1 answer
0 like 0 dislike
5 answers
0 like 0 dislike
5 answers
0 like 0 dislike
3 answers
asked Mar 21, 2019 by asm0dey
0 like 0 dislike
1 answer
110,608 questions
257,186 answers
0 comments
28,888 users